Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound Class Reference

Base for Compound siteaccess matchers. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound:

## Public Member Functions
| __construct (array $config)
| setMatcherBuilder (MatcherBuilderInterface $matcherBuilder)
| Injects the matcher builder, to allow the Compound matcher to properly build the underlying matchers. More...
| setRequest (SimplifiedRequest $request)
| Injects the request object to match against. More...
| getRequest ()
| Returns the SimplifiedRequest object corresponding to the reverse match. More...
| analyseURI ($uri)
| Analyses $uri and removes the siteaccess part, if needed. More...
| analyseLink ($linkUri)
| Analyses $linkUri when generating a link to a route, in order to have the siteaccess part back in the URI. More...
| getSubMatchers ()
| Returns all used sub-matchers. More...
| setSubMatchers (array $subMatchers)
| Replaces sub-matchers. More...
| getName ()
| Returns the matcher's name. More...
| __sleep ()
| Serialization occurs when serializing the siteaccess for subrequests. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher
| reverseMatch ($siteAccessName)
| Returns matcher object corresponding to $siteAccessName or null if non applicable. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher
| match ()
| Returns matched Siteaccess or false if no siteaccess could be matched. More...

## Protected Attributes
| $config
| $matchersMap = []
| $subMatchers = []
| $matcherBuilder
| $request

## Detailed Description

Base for Compound siteaccess matchers.

All classes extending this one must implement a NAME class constant.

Definition at line 18 of file Compound.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::__construct | ( | array | $config | ) |

Definition at line 40 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\$config.

## Member Function Documentation

## ◆ __sleep()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::__sleep | ( |  | ) |

Serialization occurs when serializing the siteaccess for subrequests.

See also
  \eZ\Bundle\EzPublishCoreBundle\Fragment\FragmentUriGenerator::generateFragmentUri()

Definition at line 125 of file Compound.php.

## ◆ analyseLink()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::analyseLink | ( |  | $linkUri | ) |

Analyses $linkUri when generating a link to a route, in order to have the siteaccess part back in the URI.

Parameters

  string | $linkUri |

Returns
  string The modified link URI

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\URILexer.

Definition at line 82 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\$matcher, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\getSubMatchers().

## ◆ analyseURI()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::analyseURI | ( |  | $uri | ) |

Analyses $uri and removes the siteaccess part, if needed.

Parameters

  string | $uri | The original URI

Returns
  string The modified URI

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\URILexer.

Definition at line 71 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\$matcher, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\getSubMatchers().

## ◆ getName()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::getName | ( |  | ) |

Returns the matcher's name.

This information will be stored in the SiteAccess object itself to quickly be able to identify the matcher type.

Returns
  string

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Definition at line 109 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\getSubMatchers().

## ◆ getRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::getRequest | ( |  | ) |

Returns the SimplifiedRequest object corresponding to the reverse match.

This request object can then be used to build a link to the "reverse matched" SiteAccess.

See also
  reverseMatch()

Returns
  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher.

Definition at line 66 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\$request.

## ◆ getSubMatchers()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::getSubMatchers | ( |  | ) |

Returns all used sub-matchers.

Returns
  \eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher[]

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\CompoundInterface.

Definition at line 93 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\$subMatchers.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\analyseLink(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\analyseURI(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\getName().

## ◆ setMatcherBuilder()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::setMatcherBuilder | ( | MatcherBuilderInterface | $matcherBuilder | ) |

Injects the matcher builder, to allow the Compound matcher to properly build the underlying matchers.

Parameters

  \eZ\Publish\Core\MVC\Symfony\SiteAccess\MatcherBuilderInterface | $matcherBuilder |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\CompoundInterface.

Definition at line 46 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\$matcherBuilder.

## ◆ setRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::setRequest | ( | SimplifiedRequest | $request | ) |

Injects the request object to match against.

Parameters

  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest | $request |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Definition at line 56 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\$matcher, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\$request.

## ◆ setSubMatchers()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::setSubMatchers | ( | array | $subMatchers | ) |

Replaces sub-matchers.

Parameters

  \eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher[] | $subMatchers |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\CompoundInterface.

Definition at line 98 of file Compound.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\$subMatchers.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalAnd\reverseMatch(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr\reverseMatch().

## Member Data Documentation

## ◆ $config

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::$config
| protected

Definition at line 21 of file Compound.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\__construct().

## ◆ $matcherBuilder

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::$matcherBuilder
| protected

Definition at line 35 of file Compound.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\setMatcherBuilder().

## ◆ $matchersMap

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::$matchersMap = []
| protected

Definition at line 29 of file Compound.php.

## ◆ $request

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::$request
| protected

Definition at line 38 of file Compound.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\getRequest(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\setRequest().

## ◆ $subMatchers

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound::$subMatchers = []
| protected

Definition at line 32 of file Compound.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\getSubMatchers(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalAnd\reverseMatch(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\setSubMatchers().

The documentation for this class was generated from the following file:

- Compound.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.